Subject: bug#41745: 28.0.50; problem with json file and which-function on pretest an master

From: "Basil L. Contovounesios" <[email-masked]>
Date: Sun, 07 Jun 2020 21:34:56 +0100

Dmitry Gutov <[email-masked]> writes:

> On 07.06.2020 22:11, Basil L. Contovounesios wrote:
>> Unless you or someone else can confirm that this is supported syntax, I
>> don't see a bug here.  The reason I'm not sure is because I'm not
>> familiar with js-mode and the different flavours of JS-like syntax that
>> are meant to be supported.
>
> It's probably not an officially supported use, but if somebody has spare time,
> perhaps they could look into what caused this particular breakage.

Sure, I'm in no hurry to close the issue.

> The error condition seems general enough, not dependent on the exact contents of
> the file.

Really?  Looks to me like it barfs when trying to parse the buffer
contents for imenu entries.

-- 
Basil